using meowlang.parser.antlr;

namespace meowlang.parser;

public class FunctionConstraintVisitorNya : MeowBaseVisitorNya<ConstraintModel>
{
    public override ConstraintModel VisitConstraint(MeowParser.ConstraintContext context)
    {
        var name = context.name.Text;
        var typeNames = context._typenames.Select(x => x.Text).ToList();
        return new ConstraintModel(context.GetSpan(), name, typeNames);
    }
}