using meowlang.parser.antlr;

namespace meowlang.parser;

public class FunctionParameterVisitorNya : MeowBaseVisitorNya<FunctionParameterModel>
{
    public override FunctionParameterModel VisitFunctionParameter(MeowParser.FunctionParameterContext context)
    {
        var type = new TypeReferenceVisitorNya().Visit(context.typeReference());
        var name = context.name.Text;
        return new FunctionParameterModel(context.GetSpan(), type, name);
    }
}