using meowlang.parser.antlr;

namespace meowlang.parser;

public class IdentifierNameVisitorNya : MeowBaseVisitorNya<IdentifierNameModel>
{
    public override IdentifierNameModel VisitIdentifierName(MeowParser.IdentifierNameContext context)
    {
        var import = context.importName?.Text;
        var name = context.name.Text;
        return new IdentifierNameModel(context.GetSpan(), import, name);
    }
}