namespace meowlang.parser;

public class MeowModelVisitorException : Exception
{
    public ModelBase Model { get; }

    public MeowModelVisitorException(ModelBase model, Exception inner) : base($"{inner.Message} on line {model.Span.Line}", inner)
    {
        Model = model;
    }
}