using Antlr4.Runtime;

namespace meowlang.parser;

public class MeowVisitorException : Exception
{
    public IToken Token { get; }

    public MeowVisitorException(IToken token, string message) : base($"{message} on line {token.Line}")
    {
        Token = token;
    }
}