using meowlang.parser.antlr;

namespace meowlang.parser;

public class StructMemberVisitorNya : MeowBaseVisitorNya<StructMemberModel>
{
    public override StructMemberModel VisitStructMember(MeowParser.StructMemberContext context)
    {
        var type = new TypeReferenceVisitorNya().Visit(context.typeReference());
        var name = context.name.Text;
        return new StructMemberModel(context.GetSpan(), type, name);
    }
}