namespace meowlang.typechecker;

public record PossiblyGenericTypeRef
{
    public Guid? TypeKey { get; }
    public string? GenericParameterName { get; }

    public bool IsGeneric => GenericParameterName != null;

    public PossiblyGenericTypeRef(string genericParameterName)
    {
        GenericParameterName = genericParameterName;
    }

    public PossiblyGenericTypeRef(Guid typeKey)
    {
        TypeKey = typeKey;
    }
};