namespace meowlang.typechecker;

public class DuplicateTypeNameException : Exception
{
    public string Name { get; }
    public int Arity { get; }

    public DuplicateTypeNameException(string name, int arity) : base($"duplicate type name `{name}` with arity {arity}")
    {
        Name = name;
        Arity = arity;
    }
}