﻿using System;
using meowlang.parser;
using meowlang.typechecker;

namespace meowlang.compiler;

static class Compiler
{
    private static void Main(string[] args)
    {
        var path = "example.mew";
        var model = Parser.Parse(path);
        Console.Write(model.AutoToString());
        if (model == null) return;
        TypeChecker.CheckAndInferTypes(model);
    }
}