using meowlang.parser.antlr;

namespace meowlang.parser;

public class AttributeVisitorNya : MeowBaseVisitorNya<AttributeModel>
{
    public override AttributeModel VisitAttribute(MeowParser.AttributeContext context)
    {
        var name = context.name.Text;
        var values = context.attributeValue().Select(x => new AttributeValueVisitorNya().Visit(x)).ToList();
        return new AttributeModel(context.GetSpan(), name, values);
    }
}