namespace meowlang.typechecker;

public record ArrayTypeDescription : TypeDescription
{
    private readonly TypeId _elementType;
    private readonly uint _size;

    public ArrayTypeDescription(TypeId elementType, uint size)
    {
        _elementType = elementType;
        _size = size;
    }

    public TypeId ElementType => _elementType;

    public uint Size => _size;
}
public record PrimitiveTypeDescription : TypeDescription
{

    public PrimitiveTypeDescription()
    {
        
    }
}