namespace meowlang.typechecker;

public record GenericSliceTypeDescription : GenericTypeDescription
{
    private readonly GenericTypeId _elementType;

    public GenericSliceTypeDescription(List<string> genericNames, GenericTypeId elementType) : base(genericNames)
    {
        _elementType = elementType;
    }
    
    public override SliceTypeDescription Concretize(List<Guid> typeParams)
    {
        return new SliceTypeDescription(ConcretizeGenericType(_elementType, typeParams));
    }
}